#!/bin/bash

while true; do
read -r -p "Please, specify IP address: " ADDRESS
if [[ "${ADDRESS}" =~ ^[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}$ ]]; then
        break
else
        echo "Incorrect format. Please, try again."
fi
done

for domain in $(cat /root/bin/data/list_dns_domains); do
        /usr/local/mgr5/sbin/mgrctl -m ispmgr domain.edit elid=$domain ip=$ADDRESS sok=ok
        domain_records=$(/usr/local/mgr5/sbin/mgrctl -m ispmgr domain.record elid=$domain elname=$domain)
        record=$(echo "$domain_records" | grep 'spf1')
        spf=${record%rkey_name*}
        spf=${spf##*rkey=}
        spf=$(echo "$spf" | sed 's/.$//')
        /usr/local/mgr5/sbin/mgrctl -m ispmgr domain.record.edit elid="$spf" plid=$domain value="v=spf1 ip4:$ADDRESS a mx ~all" sok=ok
done

rx_domain_records=$(/usr/local/mgr5/sbin/mgrctl -m ispmgr domain.record elid=custom.domain elname=custom.domain)
mail_record=$(echo "$rx_domain_records" | grep 'mail.custom.domain. A')
cur_ip=${mail_record##*value=}
/usr/local/mgr5/sbin/mgrctl -m ispmgr domain.record.edit elid="mail.custom.domain. A  $cur_ip" plid=custom.domain ip=$ADDRESS sok=ok
/usr/local/mgr5/sbin/mgrctl -m ispmgr domain.record.edit elid="smtp.custom.domain. A  $cur_ip" plid=custom.domain ip=$ADDRESS sok=ok
/usr/local/mgr5/sbin/mgrctl -m ispmgr domain.record.edit elid="www.smtp.custom.domain. A  $cur_ip" plid=custom.domain ip=$ADDRESS sok=ok
/usr/local/mgr5/sbin/mgrctl -m ispmgr domain.record.edit elid="ftp.custom.domain. A  $cur_ip" plid=custom.domain ip=$ADDRESS sok=ok
/usr/local/mgr5/sbin/mgrctl -m ispmgr domain.record.edit elid="pop.custom.domain. A  $cur_ip" plid=custom.domain ip=$ADDRESS sok=ok
/usr/local/mgr5/sbin/mgrctl -m ispmgr domain.record.edit elid="webmail.custom.domain. A  $cur_ip" plid=custom.domain ip=$ADDRESS sok=ok
/usr/local/mgr5/sbin/mgrctl -m ispmgr domain.record.edit elid="custom.domain. TXT  v=spf1 ip4:$cur_ip a mx ~all" plid=custom.domain value="v=spf1 ip4:$ADDRESS a mx ~all" sok=ok
